How to install Banshee community extensions pack?

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
SweetBearCub
Level 1
Level 1
Posts: 32
Joined: Sat Aug 15, 2015 12:06 am

How to install Banshee community extensions pack?

Post by SweetBearCub » Sat Aug 15, 2015 12:17 am

Greetings.

I am currently running Linux Mint Cinnamon 17.2 x64 in a virtual machine, trying to decide if I want to completely replace my Windows installation with it.

After I installed it, I decided that I wanted to listen to some streaming genre radio stations while I explored, and went to Banshee for it. I quickly found out that Banshee has no stations listed by default, and the "Miro Guide" link under "Online Services" was broken. (Didn't open in Firefox, either).

After a bit of Googling, it seems that the way to do it was to go to the ShoutCast site, find the station URL and info, and manually enter it bit by bit into Banshee. Tedious. However, there did appear to be an extension that would automate the work, part of the community extensions package.

However, the package was not available in the software center, nor could apt-get find it.

Googling it further, I found http://community.linuxmint.com/software ... extensions, but it too failed.

How can I find and install these community extensions?

This is really not an auspicious start to my exposure to Linux.

User avatar
xenopeek
Level 24
Level 24
Posts: 24134
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to install Banshee community extensions pack?

Post by xenopeek » Sat Aug 15, 2015 2:34 am

Welcome to the Linux Mint forums.

That package isn't available for Linux Mint 17 but it is available in the Ubuntu package base repositories for other releases. Linux Mint 17 uses Ubuntu 14.04 "Trusty" as a package base. You may try downloading and manually installing the package from an earlier or later Ubuntu release in which it is still available: http://packages.ubuntu.com/search?keywo ... ection=all. Precise = Ubuntu 12.04; Vivid = Ubuntu 15.04; Wily = Ubuntu 15.10. I'd try the package from Vivid.

However, taking a look at that page this package doesn't itself contain any files but it is a so called meta package that is useful for easily installing a selection of other packages—if you are using a package manager. As you'll have to manually download and install the needed packages I recommend instead you install first the package banshee-extensions-common and then install the specific extension package you want. (Download and double-click the file in your file manager to launch the package installer; it will check dependencies to see if it can be installed on your system.)
Image

Post Reply

Return to “Software & Applications”